# SurfaceFluxes.jl

```@docs
SurfaceFluxes
```

## Core input types

```@docs
SurfaceFluxes.SurfaceValues
SurfaceFluxes.InteriorValues
```

## Dispatch types

```@docs
SurfaceFluxes.Fluxes
SurfaceFluxes.FluxesAndFrictionVelocity
SurfaceFluxes.Coefficients
SurfaceFluxes.ValuesOnly
```

## User-facing methods

```@docs
SurfaceFluxes.surface_conditions
SurfaceFluxes.recover_profile
```

## Universal Functions

```@docs
SurfaceFluxes.UniversalFunctions
```

```@docs
SurfaceFluxes.UniversalFunctions.Gryanik
SurfaceFluxes.UniversalFunctions.Grachev
SurfaceFluxes.UniversalFunctions.Businger
```

```@docs
SurfaceFluxes.UniversalFunctions.phi
SurfaceFluxes.UniversalFunctions.psi
SurfaceFluxes.UniversalFunctions.Psi
```
